Bug 1470697 - [unified-registration] Unclear which values are required
[unified-registration] Unclear which values are required
Product: OpenShift Online
Classification: Red Hat
Component: Accounts and Billing (Show other bugs)
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Mike Dame
: OnlinePro
Depends On:
  Show dependency treegraph
Reported: 2017-07-13 09:33 EDT by Will Gordon
Modified: 2018-03-05 13:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2018-03-05 13:19:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Will Gordon 2017-07-13 09:33:03 EDT
Description of problem:
When updating profile in the accountant for Pro on https://account.openshift.com/app/register/profile, there is no indication which values are required, and just prevents the user from moving forward.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:
No indication about required fields

Expected results:
Clear indication of required fields

Additional info:
Comment 1 Abhishek Gupta 2017-08-18 09:52:00 EDT
Mike: We will need to address this in the unified registration application.
Comment 2 Will Gordon 2017-10-11 06:52:15 EDT
The greeting dropdown is not marked as optional, meaning I would think it's required.

Before all required fields are filled out, the "Save Profile" button is in a "disabled" state. I had only now realized that I could click on it to determine which values I was missing.

Based on the conversation in #aos_online and the guidelines in https://blog.patternfly.org/required-fields/, I can understand not using * for every field.

However, maybe we shouldn't change the submit button state, making it more obvious that users can click on it...and *then* be directed to the required field.
Comment 5 zhaliu 2018-01-24 01:01:44 EST
Having been tried in manage.int.openshift.com, the features could work well according to the description in PR https://github.com/openshift/online-registration/pull/647.

But from QE side, we don't think it was very friendly. Because customers could not know which was essential to fill in before they clicked the "Save Profile" button. So we recommended highlighting the essential blank directly till it was filled in. So that customers could easily know the essential blank without having to click the button.

@Will Gordon
How do you think that?
Comment 6 Timothy Williams 2018-01-24 10:16:04 EST
That is probably acceptable, since 99% of the time most of the fields will already be pre-filled with data from streamline.
Comment 7 Will Gordon 2018-01-24 10:25:30 EST
I agree with Tim on this one. I appreciate seeing the boxes now marked as optional...and the "Please fill out this field." message clearly shows while clicking/tabbing through the fields. I would consider this a marked improvement over the previous functionality!
Comment 8 zhaliu 2018-01-24 21:09:48 EST
OK, thanks, I could accept that.

Note You need to log in before you can comment on or make changes to this bug.